/*
 *  Starting point for this example.  Can be compiled on RTEMS or Linux.
 *   
 *  $Id: main.cc,v 1.1 2004/09/22 23:09:27 joel Exp $
 */


#include <stdlib.h>
#include <stdio.h>
#include <stdlib.h>

int main(
  int argc,
  char **argv
)
{
  extern void doTest(void);
  doTest();
  exit( 0 );
}

#if defined(__rtems__)
#include <bsp.h>

rtems_task Init(
  rtems_task_argument arg
)
{
  main(0,NULL);
}

/* RTEMS configuration information */

#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
#define CONFIGURE_MICROSECONDS_PER_TICK RTEMS_MILLISECONDS_TO_MICROSECONDS(1)

#define CONFIGURE_RTEMS_INIT_TASKS_TABLE

#define CONFIGURE_MAXIMUM_TASKS 102
#define CONFIGURE_MAXIMUM_PERIODS  100
#define CONFIGURE_MAXIMUM_POSIX_THREADS 2
#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  2
#define CONFIGURE_MAXIMUM_POSIX_MUTEXES 2

#define CONFIGURE_USE_IMFS_AS_BASE_FILESYSTEM
#define CONFIGURE_LIBIO_MAXIMUM_FILE_DESCRIPTORS 20

#define STACK_CHECKER_ON

#define CONFIGURE_INIT

#include <confdefs.h>
#endif

/* end of file */
